Bug 172137 - poppler crash on USPS mailing label PDF
poppler crash on USPS mailing label PDF
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-31 14:11 EST by Warren Togami
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 14:14:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample.pdf (35.34 KB, application/octet-stream)
2005-10-31 14:11 EST, Warren Togami
no flags Details

  None (edit)
Description Warren Togami 2005-10-31 14:11:17 EST
evince crashes in libpoppler when I attempt to zoom and click around any PDF
generated by USPS (United States Postal Service).  This apparently doesn't
happen in i386.  (Note that poppler failed to render the barcodes in this PDF,
which xpdf does fine, filing this in a separate bug.)

cairo-1.0.2-2
poppler-0.4.2-1
evince-0.4.0-2

(gdb) run usps.pdf
Starting program: /usr/bin/evince usps.pdf
[Thread debugging using libthread_db enabled]
[New Thread 46912538751776 (LWP 3358)]
[New Thread 1084229984 (LWP 3361)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 46912538751776 (LWP 3358)]
0x0000003f30e6f2a6 in CairoFont (this=0x919460, gfxFont=0x938450, xref=0x75a190,
lib=0x76fd80) at Object.h:278
278       { stream->reset(); }
Current language:  auto; currently c++
(gdb) bt
#0  0x0000003f30e6f2a6 in CairoFont (this=0x919460, gfxFont=0x938450,
xref=0x75a190, lib=0x76fd80) at Object.h:278
#1  0x0000003f30e6f891 in CairoFontEngine::getFont (this=0x776da0,
gfxFont=0x938450, xref=0x75a190) at CairoFontEngine.cc:381#2  0x0000003f30e710ad
in CairoOutputDev::updateFont (this=0x75bf00, state=0x8ac5e0) at
CairoOutputDev.cc:225
#3  0x0000003f30ecd6ea in TextSelectionPainter::visitWord (this=0x7ffffff6ebf0,
word=0x8d3d50, begin=0, end=5, selection=Variable "selection" is not available.
) at TextOutputDev.cc:3302
#4  0x0000003f30ecd984 in TextLine::visitSelection (this=Variable "this" is not
available.
) at TextOutputDev.cc:3377
#5  0x0000003f30ed25a3 in TextBlock::visitSelection (this=0x821ee0,
visitor=0x7ffffff6ebf0, selection=Variable "selection" is not available.
) at TextOutputDev.cc:3449
#6  0x0000003f30ed276a in TextPage::visitSelection (this=0x86a620,
visitor=0x7ffffff6ebf0, selection=Variable "selection" is not available.
) at TextOutputDev.cc:3522
#7  0x0000003f30ed395d in TextPage::drawSelection (this=0x86a620, out=Variable
"out" is not available.
) at TextOutputDev.cc:3535
#8  0x0000003f30c083f8 in poppler_page_render_selection (page=0x77b7f0,
scale=0.92320263385772705, rotation=0, pixbuf=0x822300, selection=Variable
"selection" is not available.
)
    at poppler-page.cc:478
#9  0x0000000000442ea3 in pdf_selection_render_selection (selection=Variable
"selection" is not available.
) at ev-poppler.cc:1199
#10 0x0000000000423405 in ev_pixbuf_cache_get_selection_pixbuf
(pixbuf_cache=0x77bc00, page=Variable "page" is not available.) at
ev-pixbuf-cache.c:849
#11 0x0000000000429488 in selection_update_idle_cb (view=0x65f170) at ev-view.c:3126
#12 0x0000003674a25dde in g_main_context_dispatch () from
/usr/lib64/libglib-2.0.so.0
#13 0x0000003674a28aa5 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#14 0x0000003674a28f90 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#15 0x00002aaaab1820c5 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#16 0x0000000000434cb9 in main (argc=Variable "argc" is not available.
) at main.c:295
Comment 1 Warren Togami 2005-10-31 14:11:18 EST
Created attachment 120584 [details]
sample.pdf
Comment 2 Matthias Clasen 2006-09-10 16:15:15 EDT
Happens on i386 too, for me.
Comment 3 Kristian Høgsberg 2006-09-22 14:14:06 EDT
Fixed in 0.5.4-1.fc6.

Note You need to log in before you can comment on or make changes to this bug.